> For the complete documentation index, see [llms.txt](https://docs.feast.dev/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.feast.dev/v0.49-branch/reference/feature-servers/registry-server.md).

# Registry server

## Registry server

### Description

The Registry server uses the gRPC communication protocol to exchange data.\
This enables users to communicate with the server using any programming language that can make gRPC requests.

### How to configure the server

### CLI

There is a CLI command that starts the Registry server: `feast serve_registry`. By default, remote Registry Server uses port 6570, the port can be overridden with a `--port` flag.\
To start the Registry Server in TLS mode, you need to provide the private and public keys using the `--key` and `--cert` arguments.\
More info about TLS mode can be found in [feast-client-connecting-to-remote-registry-sever-started-in-tls-mode](/v0.49-branch/how-to-guides/starting-feast-servers-tls-mode.md#starting-feast-registry-server-in-tls-mode)

### How to configure the client

Please see the detail how to configure Remote Registry client [remote.md](https://github.com/feast-dev/feast/blob/v0.49-branch/docs/reference/registries/remote.md)

## Registry Server Permissions and Access Control

Please refer the [page](https://github.com/feast-dev/feast/blob/v0.49-branch/docs/reference/registry/registry-permissions.md) for more details on API Endpoints and Permissions.

### How to configure Authentication and Authorization ?

Please refer the [page](/v0.49-branch/getting-started/concepts/permission.md) for more details on how to configure authentication and authorization.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.feast.dev/v0.49-branch/reference/feature-servers/registry-server.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
